> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Admin only: Retrieves the rates of a rating table



## OpenAPI

````yaml /openapi.json get /rating-tables/{ratingTable}
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /rating-tables/{ratingTable}:
    get:
      tags:
        - config
        - debug
      summary: 'Admin only: Retrieves the rates of a rating table'
      operationId: ConfigController_getRatingTable
      parameters:
        - name: ratingTable
          required: true
          in: path
          description: Rating table
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetRatingTableOutput'
        '400':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/InvalidRatingTableErrorDto'
              examples:
                INVALID_RATING_TABLE:
                  $ref: '#/components/schemas/InvalidRatingTableErrorDto'
          description: ''
      deprecated: true
components:
  schemas:
    GetRatingTableOutput:
      type: object
      properties:
        type:
          type: string
          description: type
          enum:
            - RATING_TABLE
        id:
          type: string
          description: id
        inputs:
          description: inputs
          type: array
          items:
            $ref: '#/components/schemas/Inputs'
        factors:
          description: factors
          type: array
          items:
            $ref: '#/components/schemas/Factors'
      required:
        - type
        - id
        - inputs
        - factors
    InvalidRatingTableErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_RATING_TABLE
        message:
          type: string
          example: >-
            Invalid rating table {ratingTable}. Existing rating tables:
            {existingRatingTables}
        details:
          $ref: '#/components/schemas/InvalidRatingTableDetailsDto'
      required:
        - code
        - message
        - details
    Inputs:
      type: object
      properties:
        id:
          type: string
          description: id
        unit:
          type: string
          description: unit
        options:
          description: options
          allOf:
            - $ref: '#/components/schemas/InputOptions'
      required:
        - id
    Factors:
      type: object
      properties:
        type:
          type: string
          description: type
          enum:
            - RATING_FACTORS
        exactInputs:
          description: exactInputs
          type: array
          items:
            $ref: '#/components/schemas/ExactInputsSchema'
        rangeInputs:
          description: rangeInputs
          type: array
          items:
            $ref: '#/components/schemas/RangeInputsSchema'
        value:
          type: number
          description: value
      required:
        - type
        - exactInputs
        - rangeInputs
        - value
    InvalidRatingTableDetailsDto:
      type: object
      properties:
        ratingTable:
          type: string
        existingRatingTables:
          type: array
          items:
            type: string
      required:
        - ratingTable
        - existingRatingTables
    InputOptions:
      type: object
      properties:
        includeMin:
          type: boolean
          description: Is minimum included ?
        includeMax:
          type: boolean
          description: Is maximum included ?
      required:
        - includeMin
        - includeMax
    ExactInputsSchema:
      type: object
      properties:
        id:
          type: string
          description: id
        value:
          description: value
          oneOf:
            - type: string
            - type: number
            - type: boolean
      required:
        - id
        - value
    RangeInputsSchema:
      type: object
      properties:
        id:
          type: string
          description: id
        min:
          type: number
          description: Minimum range
          nullable: true
        max:
          type: number
          description: Maximum range
          nullable: true
      required:
        - id
        - min
        - max

````